---
title: "Returns the list of SafetyData Sheets for the given product."
url: "https://developer.migros.ch/apis/quality-data-8/versions/a330cc6d-f33b-4507-8cf4-5670df44909b/operations/get-safety-data-sheets-by-product"
---

> Full API specification: https://developer.migros.ch/apis/quality-data-8/versions/a330cc6d-f33b-4507-8cf4-5670df44909b.md

# Returns the list of SafetyData Sheets for the given product.

`GET` `/migros/products/v8/products/{id}/safety-sheet`

Operation ID: `get-safety-data-sheets-by-product`

This endpoint is accessible only with the `PRODUCT_SAFETY_SHEET` role.

## Path parameters

- `id` (string, required)

## Query parameters

- `limit` (integer, optional) - Maximum number of results (max 2000).
- `offset` (integer, optional) - Result set offset.
- `lang` (string, optional) - Defines the language (de/fr/it/en) for this request as query parameter. Either use the query param "lang" or header "Accept-Language", not both.

## Header parameters

- `Accept-Language` (string, optional) - Defines the language (de/fr/it/en) for this request as request header. Either use the query param "lang" or header "Accept-Language", not both.

## Responses

- `200` - Returned when successful
- `400` - If the request parameters are invalid.

## OpenAPI definition

```yaml
openapi: 3.0.0
info:
  title: Quality Data
  version: "8"
servers:
  - description: Public Kong Gateway URL
    url: https://api.migros.ch
paths:
  /migros/products/v8/products/{id}/safety-sheet:
    get:
      description: This endpoint is accessible only with the `PRODUCT_SAFETY_SHEET` role.
      operationId: get-safety-data-sheets-by-product
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
        - $ref: "#/components/parameters/limit"
        - $ref: "#/components/parameters/offset"
        - $ref: "#/components/parameters/lang"
        - $ref: "#/components/parameters/Accept-Language"
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/SafetySheetCollection"
          description: Returned when successful
        "400":
          $ref: "#/components/responses/400"
      summary: Returns the list of SafetyData Sheets for the given product.
      tags:
        - Safety Sheet
security:
  - Kong-Api-Key: []
  - basicAuth: []
components:
  parameters:
    limit:
      description: Maximum number of results (max 2000).
      in: query
      name: limit
      required: false
      schema:
        default: 10
        maximum: 2000
        minimum: 0
        type: integer
    offset:
      description: Result set offset.
      in: query
      name: offset
      required: false
      schema:
        default: 0
        minimum: 0
        type: integer
    lang:
      description: Defines the language (de/fr/it/en) for this request as query
        parameter. Either use the query param "lang" or header
        "Accept-Language", not both.
      in: query
      name: lang
      schema:
        default: de
        enum:
          - de
          - fr
          - it
          - en
        type: string
    Accept-Language:
      description: Defines the language (de/fr/it/en) for this request as request
        header. Either use the query param "lang" or header "Accept-Language",
        not both.
      in: header
      name: Accept-Language
      schema:
        default: de
        enum:
          - de
          - fr
          - it
          - en
        type: string
  schemas:
    SafetySheetCollection:
      properties:
        items:
          items:
            $ref: "#/components/schemas/SafetySheet"
          type: array
      required:
        - items
      type: object
    SafetySheet:
      properties:
        code:
          example: 9000996_22513145
          type: string
        description:
          example: Safety data sheet
          type: string
        publication_date:
          example: 2015-10-21
          format: date
          nullable: true
          type: string
        url:
          type: string
      type: object
  responses:
    "400":
      description: If the request parameters are invalid.
  securitySchemes:
    Kong-Api-Key:
      description: Kong key-auth authentication
      in: header
      name: X-Api-Key
      type: apiKey
    basicAuth:
      scheme: basic
      type: http
```
